//+------------------------------------------------------------------+
//|                                            Brooky_Ma_Labeled.mq4 |
//|                     Copyright  2010, www.Brooky-Indicators.com. |
//|                             http://www.www.Brooky-Indicators.com |
//+------------------------------------------------------------------+
#property copyright "Copyright  2010, www.Brooky-Indicators.com."
#property link      "http://www.www.Brooky-Indicators.com"
extern string Hello_From = " www.Brooky-Indicators.com ";

#property indicator_chart_window
#property indicator_buffers 1
#property indicator_color1 Red
#property indicator_width1 1
//---- input parameters
extern string       Setting1    = "Moving Average Variables";
extern int         MA_Number    =   1;
extern int         MA_Period    =   14;
extern string    Select_Mode    = "0=sma, 1=ema, 2=smma, 3=lwma";
extern int           MA_Mode    = 1; 
extern string    Select_Price   = "0=Close, 1=Open, 2=High, 3=Low";
extern string    Select_Price2  = "4=Median, 5=Typical, 6=Weighted";
extern int           MA_Price   = 0;
extern int           MA_Shift   = 0;
extern int           MA_Time    = 0;
extern string    Price_Settings = "Set Size & Color";
extern int          Label_Size  = 2;
extern color       Label_Color  = Green;
extern bool          See_Label  = true;
string name = "Brooky Ma Price";
//---- buffers
double ma_buffer[];
//+------------------------------------------------------------------+
//| Custom indicator initialization function                         |
//+------------------------------------------------------------------+
int init()
  {
//---- indicators
   
   SetIndexBuffer(0,ma_buffer);SetIndexStyle(0,DRAW_LINE);SetIndexShift(0,MA_Shift);
   
   IndicatorShortName("Brooky Ma"+MA_Number);
//----
   return(0);
  }
//+------------------------------------------------------------------+
//| Custom indicator deinitialization function                       |
//+------------------------------------------------------------------+
int deinit()
  {
//----
ObjectDelete(name+MA_Number);
Comment("");
//----
   return(0);
  }
//+------------------------------------------------------------------+
//| Custom indicator iteration function                              |
//+------------------------------------------------------------------+
  int start()
    {
     int limit;
     int counted_bars=IndicatorCounted();
  //---- check for possible errors
     if(counted_bars<0) return(-1);
  //---- the last counted bar will be recounted
     if(counted_bars>0) counted_bars--;
     limit=Bars-counted_bars;
  //---- main loop
     for(int i=0; i<limit; i++)
       {

         
         ma_buffer[i]=iMA(NULL,MA_Time,MA_Period,MA_Shift,MA_Mode,MA_Price,i);
         
         if(See_Label)
           {
            string label1 = name+MA_Number;
            ObjectDelete(label1);
            ObjectCreate(label1,OBJ_ARROW, 0, Time[i],ma_buffer[i]);
            ObjectSet(label1, OBJPROP_STYLE, STYLE_SOLID);
            ObjectSet(label1, OBJPROP_ARROWCODE, 6);
            ObjectSet(label1, OBJPROP_COLOR,Label_Color);
            ObjectSet(label1, OBJPROP_WIDTH,Label_Size);
           }
       
        }
       
  //---- done
     return(0);
    }
//+------------------------------------------------------------------+

